#pragma once
#include "mbed.h"
#include "Servo.h"

class Guardian
{
private:
Servo* ail;
Servo* mod;
Servo* elv;
Servo* rud;
Servo* aux;
Servo* gain;
public:
Guardian(PinName ailpin, PinName modpin, PinName elvpin, PinName rudpin, PinName auxpin, PinName gainpin);
~Guardian();
void set2D();
void set3D();
void setoff();
void calibrate();
void setail(float val);
void setmod(float val);
void setelv(float val);
void setrud(float val);
void setaux(float val);
};